summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--pyraf/build.sh10
-rw-r--r--pyraf/meta.yaml10
2 files changed, 18 insertions, 2 deletions
diff --git a/pyraf/build.sh b/pyraf/build.sh
index 10954df..4b1dd33 100644
--- a/pyraf/build.sh
+++ b/pyraf/build.sh
@@ -1,3 +1,11 @@
+if [[ `uname -s` == "Darwin" ]]; then
+ export CFLAGS="-I/opt/X11/include"
+ export LDFLAGS="-L/opt/X11/lib"
+fi
+if [[ $PY3K > 0 ]]; then
+set +e
+ 2to3 -w --fix=print,except,numliterals .
+fi
-python setup.py install || exit 1 \ No newline at end of file
+python setup.py install || exit 1
diff --git a/pyraf/meta.yaml b/pyraf/meta.yaml
index 9342fdc..8742c9e 100644
--- a/pyraf/meta.yaml
+++ b/pyraf/meta.yaml
@@ -16,9 +16,13 @@ package:
requirements:
build:
- d2to1
- - stsci.distutils
- astropy >=1.1
- ipython
+ - matplotlib
+ - pyobjc-core [osx]
+ - pyobjc-framework-cocoa [osx]
+ - pyobjc-framework-quartz [osx]
+ - stsci.distutils
- stsci.tools
- setuptools
- numpy x.x
@@ -26,6 +30,10 @@ requirements:
run:
- astropy >=1.1
- ipython
+ - matplotlib
+ - pyobjc-core [osx]
+ - pyobjc-framework-cocoa [osx]
+ - pyobjc-framework-quartz [osx]
- stsci.tools
- numpy x.x
- python x.x